Skip to main content
GET
/
account
/
json
/
balance
Get company balance
curl --request GET \
  --url https://gate.chip-in.asia/api/v1/account/json/balance/ \
  --header 'Authorization: Bearer <token>'
{
  "EUR": {
    "balance": 93408,
    "fee_sell": 0,
    "reserved": 0,
    "gross_balance": 93408,
    "pending_outgoing": 0,
    "available_balance": 93408
  },
  "RUB": {
    "balance": 1111840,
    "fee_sell": 360,
    "reserved": 0,
    "gross_balance": 1112200,
    "pending_outgoing": 0,
    "available_balance": 1111840
  },
  "USD": {
    "balance": -35420,
    "fee_sell": 1880,
    "reserved": 0,
    "gross_balance": -33540,
    "pending_outgoing": 0,
    "available_balance": -35420
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.chip-in.asia/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

tokenized
boolean

Filter result set by whether the transaction was performed using a recurring execution token

from
integer

Retrieve a past balance value at a specific Unix timestamp

brand
string<uuid>

Filter result set to only include the specified brand UUID(s)

terminal_uid
string<uuid>

Filter result set to only include the specified terminal UUID(s)

currency
string
required

Filter result set to only include specified currency(ies). The value must be in uppercase.

payment_method
enum<string>

Filter result set to only include specified payment methods(s). See PaymentMethod fro more information. Payment method used to execute the transaction. [blocked]

  • crypto_coin: Crypto Coin
  • dnqr: Dnqr
  • duitnow_qr: Duitnow Qr
  • fpx: FPX B2C
  • fpx_b2b1: FPX B2B1
  • maestro: Maestro payment card
  • mastercard: Mastercard payment card
  • mpgs_apple_pay: Apple Pay
  • mpgs_google_pay: Mpgs Google Pay
  • razer: Razer
  • razer_atome: Razer Atome
  • razer_grabpay: Razer Grabpay
  • razer_maybankqr: Razer Maybankqr
  • razer_shopeepay: Razer Shopeepay
  • razer_tng: Razer Tng
  • unknown: Payment method could not be determinded
  • visa: Visa payment card
[blocked]
Available options:
crypto_coin,
dnqr,
duitnow_qr,
fpx,
fpx_b2b1,
maestro,
mastercard,
mpgs_apple_pay,
mpgs_google_pay,
razer,
razer_atome,
razer_grabpay,
razer_maybankqr,
razer_shopeepay,
razer_tng,
unknown,
visa
product
enum<string>

Filter result set to only include specified products(s). See TransactionProduct fro more information. Product category the transaction belongs to. [blocked]

  • bank_payment: bank_payment (Payment.payment_type == "bank_payment")
  • custom_payment: custom_payment (Payment.payment_type == "custom_payment")
  • invoice: Purchase created as an invoice through the merchant portal
  • purchase: Purchase created through the merchant API (Purchase.product == "purchases")
  • refund: refund (Payment.payment_type == "refund")
  • subscription: Purchase created using a subscription
[blocked]
Available options:
bank_payment,
custom_payment,
invoice,
purchase,
refund,
subscription
flow
enum<string>

Filter result set to only include specified transaction creation or execution flow(s). See TransactionFlow fro more information. Flow or pathway used to initiate or execute a transaction. [blocked]

  • api: transaction initiated via the merchant API
  • direct_post: transaction executed via direct POST request
  • fluentforms: transaction intialized from Fluentforms integration
  • formidableforms: transaction intialized from Formidableforms integration
  • givewp: transaction intialized from GiveWP integration
  • gravityforms: transaction intialized from Gravity Forms integration
  • hostbill: transaction intialized from Hostbill integration
  • import: transaction imported from external system
  • link: transaction initiated via shared link
  • magento: transaction intialized from Magento module
  • opencart: transaction intialized from OpenCart module
  • payform: transaction executed via the gateway payform
  • paymattic: transaction intialized from Paymattic integration
  • prestashop: transaction intialized from PrestaShop module
  • server_to_server: transaction executed via server to server API
  • shopify: transaction intialized from Shopify integration
  • web_office: transaction initiated via the merchant portal
  • whmcs: transaction intialized from WHMCS integration
  • woocommerce: transaction intialized from Woocommerce module
  • wpcharitable: transaction intialized from WPCharitable integration
[blocked]
Available options:
api,
direct_post,
fluentforms,
formidableforms,
givewp,
gravityforms,
hostbill,
import,
link,
magento,
opencart,
payform,
paymattic,
prestashop,
server_to_server,
shopify,
web_office,
whmcs,
woocommerce,
wpcharitable
country
string<ISO 3166-1 alpha-2>

Filter result set to only include specified client country(ies) in ISO 3166-1 alpha-2 format

Response

Company balance successfully retrieved

Map of currency to company Balance for the specific currency

{key}
object

Company Balance in a specific currency